.button-row {
	display: flex;
	gap: 1rem;
	flex-wrap: wrap;
}

.button-row--icons {
	display: flex;
	flex-wrap: nowrap;
	gap: 0.2rem;
}

.button, button {
	font-family: "Segoe UI", sans-serif;
	display: inline-block;
	line-height: 1.25;
	font-size: 1rem;
	font-weight: 800;
	text-align: center;
	text-transform: uppercase;
	white-space: nowrap;
	border: 0;
	padding: 0.25rem 1rem;
	color: var(--text-color-2);
	background-color: var(--primary-color-1);
}

.button:disabled {
	opacity: 0.35;
}

.button:disabled:hover {
	cursor: not-allowed;
}

.button--light {
	background-color: var(--primary-color-4);
}

.button--close-login {
	position: absolute;
	display: block;
	top: 0.5rem;
	right: 0.5rem;
	width: 2rem;
	height: 1.5rem;
	background-color: var(--alert-color-2);
	background-image: url(../img/icons/close.svg);
	background-position: center;
	background-size: 1rem;
	background-repeat: no-repeat;
}

.button--close {
	width: 2rem;
	height: 1.5rem;
	background-color: var(--alert-color-2);
	background-image: url(../img/icons/close.svg);
	background-position: center;
	background-size: 1rem;
	background-repeat: no-repeat;
}

.button--edit {
	width: 2rem;
	height: 1.5rem;
	background-color: var(--neutral-color-2);
	background-image: url(../img/icons/edit.svg);
	background-position: center;
	background-size: 1rem;
	background-repeat: no-repeat;
}

.button--details {
	width: 2rem;
	height: 1.5rem;
	background-color: var(--neutral-color-2);
	background-image: url(../img/icons/details.svg);
	background-position: center;
	background-size: 1rem;
	background-repeat: no-repeat;
}

.button img {
	height: 1rem;
}

.button--reload {
	width: 2rem;
	height: 1.5rem;
	background-color: var(--neutral-color-2);
	display: flex;
	justify-content: center;
}

.button--reload.is-loading img {
	animation: rotate 1s linear infinite;
}

.button--alert {
	width: 2rem;
	height: 1.5rem;
	background-color: var(--alert-color-2);
	background-image: url(../img/icons/close.svg);
	display: flex;
	justify-content: center;
}

@keyframes rotate {
	0% {
		transform: rotateZ(0);
	}

	100% {
		transform: rotateZ(-360deg);
	}
}

.button--back-to-top {
	position: fixed;
	right: 1rem;
	bottom: 1rem;
	height: 3rem;
	width: 3rem;
	padding: 0;
	background-color: var(--primary-color-1);
	overflow: hidden;
	transform: rotateZ(45deg) scale(1);
	transition: transform 0.4s ease-in-out,
	opacity 0.4s ease-in-out,
	top 0.35s ease;
}

.button--back-to-top:hover {
	background-color: var(--text-color-1-bg);
}

.button--back-to-top--zoomed {
	transition: transform 0.1s ease-in-out;
	transform: rotateZ(45deg) scale(1.75);
}

.button--back-to-top .back-to-top-bg {
	display: block;
	width: 100%;
	height: 100%;
	transform: rotateZ(-45deg);
	background-image: url(../img/icons/back_to_top.svg);
	background-size: contain;
}

.button--back-to-top:hover .back-to-top-bg {
	filter: invert(4%) sepia(67%) saturate(6460%) hue-rotate(294deg) brightness(53%) contrast(65%);
}

.button--back-to-top--hidden {
	opacity: 0;
	transform: rotateZ(360deg) scale(0);
}

@media screen and (max-width: 991px) {

	.button--close-login {
		width: 3.5rem;
		height: 2.5rem;
		background-size: 2em;
	}

	.button--back-to-top {
		width: 4rem;
		height: 4rem;
	}

}
